package com.lantone.security.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lantone.security.dto.SysMenuPermissionDTO;
import com.lantone.security.entity.SysRole;
import com.lantone.security.vo.SysRoleMenuQueryVO;

import java.util.List;

/**
 * <p>
 * 系统角色表 Mapper 接口
 * </p>
 *
 * @author gaodm
 * @since 2020-04-27
 */
public interface SysRoleMapper extends BaseMapper<SysRole> {
    List<SysMenuPermissionDTO> getMenuPermission(SysRoleMenuQueryVO sysRoleMenuQueryVO);
}
