package com.lantone.security.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lantone.security.dto.SysUserQueryDTO;
import com.lantone.security.entity.SysUser;
import com.lantone.security.mapper.SysUserMapper;
import com.lantone.security.service.SysUserService;
import com.lantone.security.vo.SysUserQueryVO;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 系统用户表 服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2020-04-09
 */
@Service
public class SysUserServiceImpl extends ServiceImpl<SysUserMapper, SysUser> implements SysUserService {
    @Override
    public IPage<SysUserQueryDTO> userPage(SysUserQueryVO sysUserQueryVO) {
        return baseMapper.userPage(sysUserQueryVO);
    }
}
